Bug 138000 - RFE: Add menu icon to Writer's Format > Text > Single Underline
Summary: RFE: Add menu icon to Writer's Format > Text > Single Underline
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.4.7.2 release
Hardware: All All
: medium enhancement
Assignee: Gabor Kelemen
URL:
Whiteboard: target:7.1.0 target:7.0.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Icon-Request
  Show dependency treegraph
 
Reported: 2020-11-05 06:02 UTC by Ming Hua
Modified: 2020-11-26 21:13 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Format - Text menu in 6.3.0 (65.27 KB, image/png)
2020-11-05 09:19 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ming Hua 2020-11-05 06:02:17 UTC
Currently each menu item of the upper half of Writer's Format > Text submenu has a menu icon, except "Single Underline".  It uses a simple checkmark when enabled.

It seems to me there is no reason the current "Underline" icon on the Formatting toolbar can't be used for this menu item (with proper resizing, of course).

I checked both version 6.4.7 and 7.1.0 alpha1, and this menu icon is missing for both versions.  Checked Colibre and Breeze icon theme only, assume it's the same for all icon themes.

Version: 7.1.0.0.alpha1 (x64)
Build ID: 987671387712c4f9061d6216ff2f001a7bb9e57b
CPU threads: 2; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: zh-CN (zh_CN); UI: en-US
Calc: threaded
Comment 1 NISZ LibreOffice Team 2020-11-05 09:18:29 UTC
Confirming with:
Version: 7.1.0.0.alpha1+ (x64)
Build ID: a4d4ed86991e2901ac86189e95966d4e99be4944
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL

This menu item used to have an icon in (and before):

Version: 6.3.0.4 (x86)
Build ID: 057fc023c990d676a43019934386b85b21a9ee99
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: CL
Comment 2 NISZ LibreOffice Team 2020-11-05 09:19:54 UTC
Created attachment 167027 [details]
Format - Text menu in 6.3.0
Comment 3 NISZ LibreOffice Team 2020-11-06 07:50:49 UTC
This started at:

https://git.libreoffice.org/core/+/431950e1eade91f8587d3ecffa73fd09136e16b6

author
Caolán McNamara <caolanm@redhat.com> Mon Nov 11 12:22:56 2019 +0000 
committer
Caolán McNamara <caolanm@redhat.com> Tue Nov 12 12:25:21 2019 +0100 

tdf#121239 give writer, calc and draw/impress the same underline options

Seems like uno:Underline was replaced by uno:UnderlineSingle but icon themes were not adapted.
Comment 4 Commit Notification 2020-11-12 23:06:57 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/72056f39e01e36afac36c62988331b6813c8214f

tdf#138000 Use menu icon for uno:UnderlineSingle

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-11-13 07:03:10 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/16ab6b6f3d339b6ad43bbaef3a32b55f4220350b

tdf#138000 Use menu icon for uno:UnderlineSingle

It will be available in 7.0.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.